Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class Address

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.Address

    public class Address

extends Object

Address is a list of AddressLine elements.

Constructor Summary
`Address()` Class constructor.

Method Summary
`void` | `addAddressLine(String addressLine)` Adds a new address line to the set of address lines.
`Vector` | `getAddressLineVector()` Gets the set of address lines.
`String` | `getSortCode()` Gets the value of the sort code.
`String` | `getUseType()` Gets the value of the use type.
`void` | `setAddressLineVector(Vector vector)` Sets the set containing address lines.
`void` | `setSortCode(String value)` Sets the value of the sort code.
`void` | `setUseType(String value)` Sets the value of the use type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Address

    public Address()

  Class constructor.

Method Detail

### getUseType

    public String getUseType()

  Gets the value of the use type.

  Returns:
    the current value of the use type.

### setUseType

    public void setUseType(String value)

  Sets the value of the use type.

  Parameters:
    `value` - the new value of the use type.

### getSortCode

    public String getSortCode()

  Gets the value of the sort code.

  Returns:
    the current value of the sort code.

### setSortCode

    public void setSortCode(String value)

  Sets the value of the sort code.

  Parameters:
    `value` - the new value of the sort code.

### getAddressLineVector

    public Vector getAddressLineVector()

  Gets the set of address lines.

  Returns:
    the current set of address lines.

### setAddressLineVector

    public void setAddressLineVector(Vector vector)

  Sets the set containing address lines.

  Parameters:
    `vector` - the new set of address lines.

### addAddressLine

    public void addAddressLine(String addressLine)

  Adds a new address line to the set of address lines.

  Parameters:
    `addressLine` - the new address line.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD